/*
 * @progname       gedasc
 * @version        1.0
 * @author         Patrick Texier
 * @category       
 * @output         gedcom
 * @description

 Export de l'ascendance d'une personne

*/
char_encoding("UTF-8") 
global(llexec)
global(decujus)
proc main()
{
	set (llexec, 1)
	if(llexec) {
		call selection_auto()
	}
	else {
		call selection()
	}
	"0 HEAD\n"
	"1 SOUR LIFELINES\n"
	"1 DEST ANY\n"
	"1 GEDC\n"
	"2 VERS 5.5\n"
	"2 FORM LINEAGE-LINKED\n"
	"1 CHAR UTF-8\n"
	indiset(sdecjus)
	indiset(sexport)
	addtoset(sdecjus, decujus, 1)
	set(sexport, ancestorset(sdecjus))
	addtoset(sexport, decujus, 1)
	set(nbr, length(sexport))
	print("Export de ", d(nbr), " personnes")
	gengedcomstrong(sexport)
	"0 TRLR\n"
}
proc selection()
{
	getindi(decujus, "Sélectionnez le de-cujus")
}

proc selection_auto()
{
	/* Clé du de-cujus */
	set(decujus, indi("I30608"))
	if(1) {
		newfile("pt.ged", 0)
	}
}
