/*
 * @progname       vimname.ll
 * @version        1.0
 * @author         Patrick Texier
 * @category
 * @output         text
 * @description

 Create a file for Vim name completion
 Cration d'un fichier pour la compltion des noms dans Vim
*/
option("explicitvars")
char_encoding("ISO-8859-1")

global(listname)
global(tabname)
global(onename)
global(indiv)
global(cpt)
global(cpt2)
global(nm)

proc main() {
	list(listname)
	table(tabname)
	newfile("vimname.txt", 0)
	forindi(indiv, cpt) {
		set(onename, surname(indiv))
		if(not(lookup(tabname, onename))) {
			insert(tabname, onename, 1)
			push(listname, onename)
		}
	}
	sort(listname)
	forlist(listname, onename, cpt) {
		onename nl()
	}
}
