/*
 * @progname       vimplac.ll
 * @version        1.0
 * @author         Patrick Texier
 * @category
 * @output         text
 * @description

 Create a file for Vim place completion
 Cration d'un fichier pour la compltion des lieux dans Vim
*/
option("explicitvars")
char_encoding("ISO-8859-1")

global(listplac)
global(tabplac)
global(oneplac)
global(indiv)
global(cpt)
global(cpt2)
global(nd)

proc main() {
	list(listplac)
	table(tabplac)
	newfile("vimplac.txt", 0)
	forindi(indiv, cpt) {
		traverse(indiv, nd, cpt2) {
			if(eqstr(tag(nd), "PLAC")) {
				if(value(nd)) {
					call testplac(value(nd))
				}
			}
		}
	}
	forfam(fami, cpt) {
		traverse(fami, nd, cpt2) {
			if(eqstr(tag(nd), "PLAC")) {
				if(value(nd)) {
					call testplac(value(nd))
				}
			}
		}
	}
	sort(listplac)
	forlist(listplac, oneplac, cpt) {
		oneplac nl()
	}
}
proc testplac(pl) {
	if(lookup(tabplac, pl)) {
		return()
	}
	insert(tabplac, pl, 1)
	push(listplac, pl)
}
